- Qt 6.6
- Qt Quick Timeline
- QML Types
- KeyframeGroup
- Qt Quick Timeline | Commercial or GPLv3

# KeyframeGroup QML Type

A keyframe group. More...

Import Statement: | import QtQuick.Timeline 1.0
Inherits: | QtObject

- List of all members, including inherited members

## Properties

- keyframeSource : url
- keyframes : list
- property : string
- target : var

## Detailed Description

A keyframe group contains all keyframes for a specific property of an item and always belongs to a timeline.

## Property Documentation

keyframeSource : url

The URL to a file containing binary keyframe data.

Note: KeyframeGroup should either set this property or contain Keyframe child elements. Using both can lead to an undefined behavior.

[read-only] keyframes : list

A list of keyframes that belong to the keyframe group.

property : string

The property that is targeted by the keyframe group.

target : var

The item that is targeted by the keyframe group.